<template>
  <div
    class="bg-mint-20 flex w-full items-center"
    :class="[
      isCreateAccount ? 'rounded-md md:rounded-none' : 'rounded-md lg:rounded',
    ]"
  >
    <p
      tabindex="0"
      class="md:w-full font-primary-font-bold text-sm pl-4 pt-5 pb-3.5 md:py-2.5 leading-6"
      :class="[isCreateAccount ? 'text-left' : 'text-center']"
    >
      <span v-if="isCreateAccount"
        >You already have an account.
        <a
          href="javascript:;"
          class="font-primary-font-bold underline"
          @click="handleSignIn"
          >Sign in</a
        >
      </span>
    </p>
    <p
      tabindex="0"
      class="icon-close mr-4 text-xs items-start md:items-center text-black float-right"
      :class="[isCreateAccount ? 'block' : 'hidden']"
    ></p>
  </div>
</template>
<script>
export default {
  name: 'MkNotificationSuccess',
  props: {
    isCreateAccount: {
      type: Boolean,
      default: false,
    },
  },
  methods: {
    handleSignIn() {
      this.$emit('sign-in')
    },
  },
}
</script>
